Simple Package Manager for Debian type

Here is a place for your projects which are not officially supported by the Porteus Team. For example: your own kernel patched with extra features; desktops not included in the standard ISO like Gnome; base modules that are different than the standard ISO, etc...
neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#16 by neko » 21 Mar 2014, 09:10

spmDebian-14.03.17-noarch-3.xzm (32K)
http://www.mediafire.com/download/c0p5c ... arch-3.xzm
md5sum: 902a4a222d802e3c225ea72c715c7344 spmDebian-14.03.17-noarch-3.xzm

is updated from spmDebian-14.03.17-noarch-2.xzm.

1. bug fix
bug:
A download message dose not include the file name.

2. betterment
(1) display the version number of 'spmDebian' in the first configuration window.
(2) move from program messages to 'help message' files.


================================================
[multi language]

1. a package description
If there is the localized description of that package in the debian database, it is displayed.

2. a help message
The English help message is '/opt/porteus-scripts/simplepm/help/debianHelp'.
A localized help message must be set in the directory '/opt/porteus-scripts/simplepm/help/'.
The name of a localized help message is 'debianHelp.XX'.
'XX' is the first ID of 'LANG' value.

Example:
(LANG)
ja_JP.utf8
-->
/opt/porteus-scripts/simplepm/help/debianHelp.ja

3. program messages
The skeletons of '.po' file are '/usr/src/po/skeleton/simplepm.po' and '/usr/src/po/skeleton/debpm.po'.
They will be edited by adding localized messages, and then be converted to '.mo' files by 'msgfmt' command.
'.mo' files must be set in the directory '/usr/share/locale/XX/LC_MESSAGES'.
'XX' is the first ID of 'LANG' value.

Example:
(LANG)
ja_JP.utf8
-->
/usr/share/locale/ja/LC_MESSAGES/simplepm.mo
/usr/share/locale/ja/LC_MESSAGES/debpm.mo


Thanks.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#17 by neko » 23 Mar 2014, 14:41

spmDebian-14.03.17-noarch-4.xzm (32K)
http://www.mediafire.com/download/rn9py ... arch-4.xzm
md5sum: 851104316ccabd19d1738df569ee3d43 spmDebian-14.03.17-noarch-4.xzm

is updated from spmDebian-14.03.17-noarch-3.xzm.

1. betterment
(1) md5sum check of 'Contents' in debian database is skipped.
sometimes it is mismatched.

(2) Interrupt searching
If 'close button' (icon X) on progress display window is pushed, searching will be stopped.

(3) key search
old:
On searching by multiple keys, keys combination is 'OR' algorithm.
-->
new:
On searching by multiple keys, keys combination is 'AND' algorithm.

Note:
A Key order is important for speed up.
For example, in 1,000 packages search, a key1 hits 100 package and a key2 hits 10 packages.
If 'key1 key2' order is specified, searching are done (1000 + 100) times.
If 'key2 key1' order is speciyied, searching are done (1000 + 10) times.
Therefore the key that is guessed 'low hits' should be prior order.


Thanks.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#18 by neko » 26 Mar 2014, 16:42

spmDebian-14.03.26-noarch-1.xzm (32K)
http://www.mediafire.com/download/4k5za ... arch-1.xzm
md5sum: 22b7e33bdb9de2e5fd28857edf158d80 spmDebian-14.03.26-noarch-1.xzm

is updated from spmDebian-14.03.17-noarch-4.xzm.

1. bug fixed
(1) The bug of a dependency analyzing by 'ldd' command is fixed.
--->
The name of package dependency information file is changed from "INFO.LIST" to "INFO.LIST-'version'".
This file is created in your package storage.

2. betterment
(1) speed up
At every time of dependency analyze , a merged module was created.
--->
At the last time of dependency analyze, a merged module is created.

Thanks.

User avatar
francois
Contributor
Contributor
Posts: 5124
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus artix
Location: C'est l'hiver: la neige soudainement est là à Montréal.

Re: Simple Package Manager for Debian type

Post#19 by francois » 28 Mar 2014, 01:08

Hello neko.

I tried the last version (the precedent post). Thanks.

With the following parameters:
-jessie
-all

Trying to build abiword,there is no modules produced:
/tmp/simplepm/xzmFROMdeb/abiword/ contains only links, no final modules

I get the following error message:

Code: Select all

...
Download & convert: /tmp/simplepm/xzmFROMdeb/abiword-common_3.0.0-4_all.xzm
Download & convert: /tmp/simplepm/xzmFROMdeb/gsfonts_8.11+urwcyr1.0.7~pre44-4.2_all.xzm
*** There is no more dependency for abiword_3.0.0-4+b1_amd64.xzm package. ***
*** Error in process of merge lib <createModule> ****
Thanks.
Carpe diem.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#20 by neko » 28 Mar 2014, 12:47

@francois
Thank you for a problem report.

================================================
PROBLEM:
If a 'storage' directory does not exist, it is not created.
For example, the default storage '/tmp/siplepm/xzmFROMdeb' does not exist.

When XZM module would be created into the 'storage' that does not exist,
the result is error. '<createModule>'

BUG FIX:
If a 'storage' directory does not exist, it is created.


================================================
Another bug is found during analyzing the 'abiword' problem.
PROBLEM:
If a Debian package name has the string "data", it can not be converted to 'XZM' module correctly.

For example:
libedata-book-1.2-17_3.8.5-3+b2_i386.deb
libedataserver-1.2-17_3.8.5-3+b2_i386.deb

BUG FIX:
The 'debian package name' and 'data.tar.xx' were not distinguished.
--->
These are distinguished.


================================================
Postscript:
'abiword' that is gotten from 'jessie' did not run.
'abiword' that is gotten from 'Debian7.4' did run.

1) activate 'storage'/abiword/lib4abiword_2.9.2+svn20120603-8_i386.xzm
2) activate 'storage'/abiword/abiword-common_2.9.2+svn20120603-8_all.xzm
3) activate 'storage'/abiword/abiword_2.9.2+svn20120603-8_i386.xzm
4) execute abiword


================================================
spmDebian-14.03.26-noarch-2.xzm (32K)
http://www.mediafire.com/download/1vbah ... arch-2.xzm
md5sum: 7539459965c044f7a18f7ddca1983ddd spmDebian-14.03.26-noarch-2.xzm

is updated from spmDebian-14.03.26-noarch-1.xzm.

1. bug fixed
BUG FIX:
If a 'storage' directory does not exist, it is created.

BUG FIX:
The 'debian package name' and 'data.tar.xx' were not distinguished.
--->
These are distinguished.

Thanks.

User avatar
francois
Contributor
Contributor
Posts: 5124
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus artix
Location: C'est l'hiver: la neige soudainement est là à Montréal.

Re: Simple Package Manager for Debian type

Post#21 by francois » 29 Mar 2014, 21:38

@neko:

This is a really nice project that you have there. I am really glad to contribute.

1.0 One thing the dialog box for the packages and module manipulations is always in the center where I try to work on another window. Is it possible to fix it in the corner, instead that in the center?

2.0 A second thing is that some past version of spm debian created packages that freezed my system. Do you experience that often?

3.0 As all libraries in /usr/lib/x86_64-linux-gnu belong to /usr/lib64/, how does one link the hole content of the former to the latter? In the case of abiword and dependencies, there might be a lot of links missing, see:

Code: Select all

root@porteus:~/Downloads# abiword
abiword: error while loading shared libraries: libabiword-2.9.so: cannot open shared object file: No such file or directory
Carpe diem.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#22 by neko » 30 Mar 2014, 09:30

@francois
Thank you for your report.

Excuse me.
I am afraid that my poor English might be not understood correctly.

================================================
Q1:
Is it possible to fix it in the corner, instead that in the center?

A1:
Yes, it is.

[Current]
All 6 kinds windows are in center position.
---->
[New]
1) Configuration window: the position is in center.(not changed)
2) Progress display window: left upper
Is this the window that you wrote as 'the dialog box for the packages and module manipulations' ?
3) Main window: the position is in center.(not changed). It can be moved by mouse drag.
4) Yes/No selection window: left upper
Is this the window that you wrote as 'the dialog box for the packages and module manipulations' ?
5) 'One of multi' selection window: left upper
Is this the window that you wrote as 'the dialog box for the packages and module manipulations' ?
6) Error message window: the position is in center.(not changed)

Q2:
Do you experience that often?

A2:
Yes, I do.
The packages that have been gotten are kept in my 'storage'.
Some basic packages are used many times as other packages's dependency packages.

When DEB package is downloaded,
if corresponding XZM package exists, the download is skipped.

The XZM package that was created in old version spmDEB is differ a little with one that is created current version.
Old one has no package description information. New one has it.
This difference does not influence package management.

Q3:
how does one link the hole content of the former to the latter?

A3:
The package 'spmDebian-nnn-noarch-m.xzm' includes '/etc/rc.d/rc.local'.
This 'rc.local' shell script adds the line "include /etc/ld.so.conf.d/*.conf" to '/etc/ld.so.conf',
and creates the file '/etc/ld.so.conf.d/debian.conf' that has the content as following.

[32 bit]
/lib/i386-linux-gnu
/usr/lib/i386-linux-gnu

[64 bit]
/lib32
/lib/x86_64-linux-gnu
/usr/lib32
/usr/lib/x86_64-linux-gnu

At boot time, this 'rc.local' is performed.
If 'spmDebian-nnn-noarch-m.xzm' is not activated at boot time, this 'rc.local' is not performed.
In this case, you should do as following commands.

# sh /etc/rc.d/rc.local
# /sbin/ldconfig

================================================
spmDebian-14.03.26-noarch-3.xzm (32K)
http://www.mediafire.com/download/k28jw ... arch-3.xzm
299d18e7146f8616e64f1565496d2cc2 spmDebian-14.03.26-noarch-3.xzm

is updated from spmDebian-14.03.26-noarch-2.xzm.

1. betterment
(1) The position of some windows is changed from center to left-upper.


Thanks.

User avatar
francois
Contributor
Contributor
Posts: 5124
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus artix
Location: C'est l'hiver: la neige soudainement est là à Montréal.

Re: Simple Package Manager for Debian type

Post#23 by francois » 30 Mar 2014, 12:48

Your english is good and the anglo-saxons forum are the place to make it better. I wonder how many on this forum have english as mother tongue? (you can replace the word betterment by improvement) :wink:

When DEB package is downloaded,
if corresponding XZM package exists, the download is skipped.


Good to know about the logic of spm debian. Maybe eventually some explanatory notes in the first post would be great.

The package 'spmDebian-nnn-noarch-m.xzm' includes '/etc/rc.d/rc.local'.
This 'rc.local' shell script adds the line "include /etc/ld.so.conf.d/*.conf" to '/etc/ld.so.conf',
and creates the file '/etc/ld.so.conf.d/debian.conf' that has the content as following.


I will have a look at that.

Thanks, and long life to your project. 8)
Carpe diem.

User avatar
francois
Contributor
Contributor
Posts: 5124
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus artix
Location: C'est l'hiver: la neige soudainement est là à Montréal.

Re: Simple Package Manager for Debian type

Post#24 by francois » 05 Apr 2014, 15:58

@neko:
Which version of debian do prefer to use with spm deb?
Carpe diem.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#25 by neko » 06 Apr 2014, 03:15

@francois
Q:
Which version of debian do prefer to use with spm deb?

A:
Usually I use 'Debian 7.4'.
I guess that the current version 'Debian 7.4' is fit to the current version 'Slackware 14.1'.

For exampl,
'abiword' that is gotten from 'jessie' did not run.
'abiword' that is gotten from 'Debian 7.4' did run.

This answer is not enough.
Because your question points an issue of the 'spm deb'.
So, I can not answer correctly.

[issue]
The 'spm deb' neglects the information of dependency library version.
It does not check the version of dependency libraries that are offered by 'porteus 00n-xxx.xzm'.

For exampl,
The current libpthread.so.0 is linked to libpthread-2.17.so.
This library version is 2.17.
If a debian version is not fit to 'current porteus' and
a package of the version needs the shared library libpthread.so.0 which version must be more than 2.17,
that package may not run.
But the 'spm deb' neglects both the version numbers of the package information and system libraries.

Therefor on the version problem it must be checked manually by using the package information.
A package description that includes dependencies is displayed by clicking the name in package list.


Thanks.

User avatar
francois
Contributor
Contributor
Posts: 5124
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus artix
Location: C'est l'hiver: la neige soudainement est là à Montréal.

Re: Simple Package Manager for Debian type

Post#26 by francois » 06 Apr 2014, 11:16

Therefore on the version problem it must be checked manually by using the package information.
A package description that includes dependencies is displayed by clicking the name in package list.
This is crucial information.

Thanks for your comments.
Carpe diem.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#27 by neko » 15 Apr 2014, 09:33

spmDebian-14.04.12-noarch-1.xzm (32K)
http://www.mediafire.com/download/6dsmm ... arch-1.xzm
md5sum: 3a9f058951b65e4a628e03b676588174 spmDebian-14.04.12-noarch-1.xzm

is updated from spmDebian-14.03.26-noarch-3.xzm.

1. bug fix
The bug of 'keys' search is fixed.

2. New feature
(1) Converting DEB package to XZM (Porteus) Package.
It is like deb2xzm that Porteus offers.
The difference is that it creates a package information (/var/log/packages/XXX)
which includes DEB information like dependencies.

(2) Merging libraries that are used by the package which has not been gotten by spm.

3. Improvement
Enhancing the dependency analyzing of 'ldd' command.


-----------------------------------------------------------------------------------------------
4. New feature Example
(1)get new version 'midori' debian package (/home/guest/Downloads/midori_0.5.8-1_i386_.deb)
http://midori-browser.org/download/
click 'debian'

(2)convert deb to xzm
[case 1]
# cd /home/guest/Downloads
# deb2xzm midori_0.5.8-1_i386_.deb
# mv midori_0.5.8-1_i386_.xzm /myStorage/.

[case 2]
execute 'spm'
click 'convert' button (select /home/guest/Downloads/midori_0.5.8-1_i386_.deb)

(3)merge
[case 1]
select 'MODULE'
select midori_0.5.8-1_i386_.xzm of package list
======================================
Package: midori_0.5.8-1_i386_
Depends:
======================================

click 'merge' button
======================================
== Create lib4midori_0.5.8-1_i386_.xzm ==
*** Did not find a dependent library at all ***
Download & convert: /myStorage/libjavascriptcoregtk-1.0-0_1.8.1-3.4_i386.xzm
Download & convert: /myStorage/libsoup2.4-1_2.38.1-2_i386.xzm
Download & convert: /myStorage/libsoup-gnome2.4-1_2.38.1-2_i386.xzm
Download & convert: /myStorage/libwebkitgtk-1.0-0_1.8.1-3.4_i386.xzm
*** Created the merged library for midori_0.5.8-1_i386_.xzm ***
Download & convert: /myStorage/libenchant1c2a_1.6.0-7_i386.xzm
Download & convert: /myStorage/libgeoclue0_0.12.0-4_i386.xzm
Download & convert: /myStorage/libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.xzm
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
Download & convert: /myStorage/libgstreamer0.10-0_0.10.36-1.2_i386.xzm
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
libgstreamer0.10-0_0.10.36-1.2_i386.deb was already gotten
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
Download & convert: /myStorage/libicu48_4.8.1.1-12+deb7u1_i386.xzm
libicu48_4.8.1.1-12+deb7u1_i386.deb was already gotten
libicu48_4.8.1.1-12+deb7u1_i386.deb was already gotten
Download & convert: /myStorage/liborc-0.4-0_0.4.16-2_i386.xzm
*** Created the merged library for midori_0.5.8-1_i386_.xzm ***

======================================

[case 2]
select 'MODULE'
select midori_0.5.8-1_i386_.xzm of package list
======================================

Package: midori
Version: 0.5.8-1~precise~ppa1
Architecture: i386
Maintainer: Ryan Niebur <ryan@debian.org>
Installed-Size: 5105
Depends: libc6 (>= 2.4), libcairo2 (>= 1.2.4), libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.31.8), libgtk2.0-0 (>= 2.24.0), libjavascriptcoregtk-1.0-0 (>= 1.5.1), libnotify4 (>= 0.7.0), libpango1.0-0 (>= 1.14.0), libsoup-gnome2.4-1 (>= 2.27.4), libsoup2.4-1 (>= 2.33.92), libsqlite3-0 (>= 3.5.9), libwebkitgtk-1.0-0 (>= 1.7.92), libx11-6, libxml2 (>= 2.7.4), libxss1, dbus-x11
Recommends: gnome-icon-theme
Conflicts: libsoup2.4-1 (<< 2.25.2)
Provides: www-browser
Section: web
Priority: optional
Homepage: http://www.twotoasts.de/index.php?/page ... mmary.html
Description: fast, lightweight graphical web browser
Midori is a lightweight web browser based on WebKit.
.
Its features include:
.
* Full integration with GTK+2.
* Fast rendering with WebKit.
* Tabs, windows and session management.
* Flexibly configurable Web Search.
* User scripts and user styles support.
* Straightforward bookmark management.
* Customizable and extensible interface.
* Support for extensions (written in C).
* Custom context menu actions.

======================================

click 'merge' button
======================================
== Create lib4midori_0.5.8-1_i386_.xzm ==
Download & convert: /myStorage/libc6_2.13-38+deb7u1_i386.xzm
Download & convert: /myStorage/libcairo2_1.12.2-3_i386.xzm
Download & convert: /myStorage/libgdk-pixbuf2.0-0_2.26.1-1_i386.xzm
Download & convert: /myStorage/libglib2.0-0_2.33.12+really2.32.4-5_i386.xzm
Download & convert: /myStorage/libgtk2.0-0_2.24.10-2_i386.xzm
Download & convert: /myStorage/libjavascriptcoregtk-1.0-0_1.8.1-3.4_i386.xzm
Download & convert: /myStorage/libnotify4_0.7.5-1_i386.xzm
Download & convert: /myStorage/libpango1.0-0_1.30.0-1_i386.xzm
Download & convert: /myStorage/libsoup-gnome2.4-1_2.38.1-2_i386.xzm
Download & convert: /myStorage/libsoup2.4-1_2.38.1-2_i386.xzm
Download & convert: /myStorage/libsqlite3-0_3.7.13-1+deb7u1_i386.xzm
Download & convert: /myStorage/libwebkitgtk-1.0-0_1.8.1-3.4_i386.xzm
Download & convert: /myStorage/libx11-6_1.5.0-1+deb7u1_i386.xzm
Download & convert: /myStorage/libxml2_2.8.0+dfsg1-7+nmu2_i386.xzm
Download & convert: /myStorage/libxss1_1.2.2-1_i386.xzm
Download & convert: /myStorage/dbus-x11_1.6.8-1+deb7u1_i386.xzm
*** Created the merged library for midori_0.5.8-1_i386_.xzm ***
Download & convert: /myStorage/libenchant1c2a_1.6.0-7_i386.xzm
Download & convert: /myStorage/libgeoclue0_0.12.0-4_i386.xzm
Download & convert: /myStorage/libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.xzm
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
Download & convert: /myStorage/libgstreamer0.10-0_0.10.36-1.2_i386.xzm
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
libgstreamer0.10-0_0.10.36-1.2_i386.deb was already gotten
libgstreamer-plugins-base0.10-0_0.10.36-1.1_i386.deb was already gotten
Download & convert: /myStorage/libicu48_4.8.1.1-12+deb7u1_i386.xzm
libicu48_4.8.1.1-12+deb7u1_i386.deb was already gotten
libicu48_4.8.1.1-12+deb7u1_i386.deb was already gotten
Download & convert: /myStorage/liborc-0.4-0_0.4.16-2_i386.xzm
*** Created the merged library for midori_0.5.8-1_i386_.xzm ***

======================================

(4)activate
/myStorage/midori/lib4midori_0.5.8-1_i386_.xzm
/myStorage/midori/midori_0.5.8-1_i386_.xzm

(5)execute 'midori'
In both cases, the 'midori' runs.

User avatar
francois
Contributor
Contributor
Posts: 5124
Joined: 28 Dec 2010, 14:25
Distribution: xfce plank porteus artix
Location: C'est l'hiver: la neige soudainement est là à Montréal.

Re: Simple Package Manager for Debian type

Post#28 by francois » 18 Apr 2014, 23:30

Hi neko. Could we use a few practical examples to see if spm deb is functional?

A. I am trying abiword with debian7.4.

After a great number of packages download, abiword does not seem to work,see:

Code: Select all

root@porteus:~/Downloads# abiword
abiword: error while loading shared libraries: libicuuc.so.49: cannot open shared object file: No such file or directory
root@porteus:~/Downloads#


INFO.LST is:

Code: Select all

PACKAGE NAME: abiword-common_2.9.2+svn20120603-8_all
REQUIRED:
OFFERED:
PACKAGE NAME: abiword_2.9.2+svn20120603-8_amd64
REQUIRED: libEGL.so.1,libGL.so.1,libX11-xcb.so.1,libX11.so.6,libXau.so.6,libXcomposite.so.1,libXcursor.so.1,libXdamage.so.1,libXdmcp.so.6,libXext.so.6,libXfixes.so.3,libXi.so.6,libXinerama.so.1,libXrandr.so.2,libXrender.so.1,libXxf86vm.so.1,libabiword-2.9.so,libatk-1.0.so.0,libbz2.so.1,libcairo-gobject.so.2,libcairo.so.2,libcroco-0.6.so.3,libcrypto.so.1,libcurl.so.4,libdb-4.4.so,libdl.so.2,libdrm.so.2,libenchant.so.1,libexpat.so.1,libffi.so.6,libfontconfig.so.1,libfreetype.so.6,libfribidi.so.0,libgcc_s.so.1,libgdk-3.so.0,libgdk_pixbuf-2.0.so.0,libgio-2.0.so.0,libglapi.so.0,libglib-2.0.so.0,libgmodule-2.0.so.0,libgmp.so.10,libgobject-2.0.so.0,libgsf-1.so.114,libgthread-2.0.so.0,libgtk-3.so.0,libharfbuzz.so.0,libicudata.so.51,libicule.so.51,libicuuc.so.49,libicuuc.so.51,libidn.so.11,libjpeg.so.8,liblber-2.4.so.2,libldap-2.4.so.2,libltdl.so.7,liblzma.so.5,libm.so.6,libmhash.so.2,libmpfr.so.4,libpango-1.0.so.0,libpangocairo-1.0.so.0,libpangoft2-1.0.so.0,libpixman-1.so.0,libpng12.so.0,libpng14.so.14,libpthread.so.0,libraptor2.so.0,librasqal.so.3,librdf.so.0,libresolv.so.2,librsvg-2.so.2,librt.so.1,libsasl2.so.2,libssl.so.1,libstdc++.so.6,libuuid.so.1,libwmf-0.2.so.7,libwmflite-0.2.so.7,libwv-1.2.so.4,libxcb-dri2.so.0,libxcb-glx.so.0,libxcb-render.so.0,libxcb-shape.so.0,libxcb-shm.so.0,libxcb-xfixes.so.0,libxcb.so.1,libxml2.so.2,libxslt.so.1,libz.so.1,
OFFERED: aiksaurus.so,applix.so,babelfish.so,bmp.so,clarisworks.so,collab.so,command.so,docbook.so,eml.so,epub.so,freetranslation.so,garble.so,gdict.so,gimp.so,google.so,hancom.so,hrtext.so,iscii.so,kword.so,latex.so,loadbindings.so,mht.so,mif.so,mswrite.so,opendocument.so,openwriter.so,openxml.so,opml.so,ots.so,paint.so,passepartout.so,pdb.so,pdf.so,presentation.so,s5.so,sdw.so,t602.so,urldict.so,wikipedia.so,wmf.so,wml.so,wordperfect.so,wpg.so,xslfo.so,
PACKAGE NAME: gsfonts_8.11+urwcyr1.0.7~pre44-4.2_all
REQUIRED:
OFFERED:
PACKAGE NAME: libabiword-2.9_2.9.2+svn20120603-8_amd64
REQUIRED:
OFFERED: libabiword-2.9.so,
PACKAGE NAME: libc6_2.13-38+deb7u1_amd64
REQUIRED:
OFFERED: ANSI_X3.110.so,ARMSCII-8.so,ASMO_449.so,BIG5.so,BIG5HKSCS.so,BRF.so,CP10007.so,CP1125.so,CP1250.so,CP1251.so,CP1252.so,CP1253.so,CP1254.so,CP1255.so,CP1256.so,CP1257.so,CP1258.so,CP737.so,CP775.so,CP932.so,CSN_369103.so,CWI.so,DEC-MCS.so,EBCDIC-AT-DE-A.so,EBCDIC-AT-DE.so,EBCDIC-CA-FR.so,EBCDIC-DK-NO-A.so,EBCDIC-DK-NO.so,EBCDIC-ES-A.so,EBCDIC-ES-S.so,EBCDIC-ES.so,EBCDIC-FI-SE-A.so,EBCDIC-FI-SE.so,EBCDIC-FR.so,EBCDIC-IS-FRISS.so,EBCDIC-IT.so,EBCDIC-PT.so,EBCDIC-UK.so,EBCDIC-US.so,ECMA-CYRILLIC.so,EUC-CN.so,EUC-JISX0213.so,EUC-JP-MS.so,EUC-JP.so,EUC-KR.so,EUC-TW.so,GB18030.so,GBBIG5.so,GBGBK.so,GBK.so,GEORGIAN-ACADEMY.so,GEORGIAN-PS.so,GOST_19768-74.so,GREEK-CCITT.so,GREEK7-OLD.so,GREEK7.so,HP-GREEK8.so,HP-ROMAN8.so,HP-ROMAN9.so,HP-THAI8.so,HP-TURKISH8.so,IBM037.so,IBM038.so,IBM1004.so,IBM1008.so,IBM1008_420.so,IBM1025.so,IBM1026.so,IBM1046.so,IBM1047.so,IBM1097.so,IBM1112.so,IBM1122.so,IBM1123.so,IBM1124.so,IBM1129.so,IBM1130.so,IBM1132.so,IBM1133.so,IBM1137.so,IBM1140.so,IBM1141.so,IBM1142.so,IBM1143.so,IBM1144.so,IBM1145.so,IBM1146.so,IBM1147.so,IBM1148.so,IBM1149.so,IBM1153.so,IBM1154.so,IBM1155.so,IBM1156.so,IBM1157.so,IBM1158.so,IBM1160.so,IBM1161.so,IBM1162.so,IBM1163.so,IBM1164.so,IBM1166.so,IBM1167.so,IBM12712.so,IBM1364.so,IBM1371.so,IBM1388.so,IBM1390.so,IBM1399.so,IBM16804.so,IBM256.so,IBM273.so,IBM274.so,IBM275.so,IBM277.so,IBM278.so,IBM280.so,IBM281.so,IBM284.so,IBM285.so,IBM290.so,IBM297.so,IBM420.so,IBM423.so,IBM424.so,IBM437.so,IBM4517.so,IBM4899.so,IBM4909.so,IBM4971.so,IBM500.so,IBM5347.so,IBM803.so,IBM850.so,IBM851.so,IBM852.so,IBM855.so,IBM856.so,IBM857.so,IBM860.so,IBM861.so,IBM862.so,IBM863.so,IBM864.so,IBM865.so,IBM866.so,IBM866NAV.so,IBM868.so,IBM869.so,IBM870.so,IBM871.so,IBM874.so,IBM875.so,IBM880.so,IBM891.so,IBM901.so,IBM902.so,IBM903.so,IBM9030.so,IBM904.so,IBM905.so,IBM9066.so,IBM918.so,IBM921.so,IBM922.so,IBM930.so,IBM932.so,IBM933.so,IBM935.so,IBM937.so,IBM939.so,IBM943.so,IBM9448.so,IEC_P27-1.so,INIS-8.so,INIS-CYRILLIC.so,INIS.so,ISIRI-3342.so,ISO-2022-CN-EXT.so,ISO-2022-CN.so,ISO-2022-JP-3.so,ISO-2022-JP.so,ISO-2022-KR.so,ISO-IR-197.so,ISO-IR-209.so,ISO646.so,ISO8859-1.so,ISO8859-10.so,ISO8859-11.so,ISO8859-13.so,ISO8859-14.so,ISO8859-15.so,ISO8859-16.so,ISO8859-2.so,ISO8859-3.so,ISO8859-4.so,ISO8859-5.so,ISO8859-6.so,ISO8859-7.so,ISO8859-8.so,ISO8859-9.so,ISO8859-9E.so,ISO_10367-BOX.so,ISO_11548-1.so,ISO_2033.so,ISO_5427-EXT.so,ISO_5427.so,ISO_5428.so,ISO_6937-2.so,ISO_6937.so,JOHAB.so,KOI-8.so,KOI8-R.so,KOI8-RU.so,KOI8-T.so,KOI8-U.so,LATIN-GREEK-1.so,LATIN-GREEK.so,MAC-CENTRALEUROPE.so,MAC-IS.so,MAC-SAMI.so,MAC-UK.so,MACINTOSH.so,MIK.so,NATS-DANO.so,NATS-SEFI.so,PT154.so,RK1048.so,SAMI-WS2.so,SHIFT_JISX0213.so,SJIS.so,T.61.so,TCVN5712-1.so,TIS-620.so,TSCII.so,UHC.so,UNICODE.so,UTF-16.so,UTF-32.so,UTF-7.so,VISCII.so,ld-2.13.so,ld-linux-x86-64.so.2,libBrokenLocale-2.13.so,libBrokenLocale.so.1,libCNS.so,libGB.so,libISOIR165.so,libJIS.so,libJISX0213.so,libKSC.so,libSegFault.so,libanl-2.13.so,libanl.so.1,libc-2.13.so,libc.so.6,libcidn-2.13.so,libcidn.so.1,libcrypt-2.13.so,libcrypt.so.1,libdl-2.13.so,libdl.so.2,libm-2.13.so,libm.so.6,libmemusage.so,libnsl-2.13.so,libnsl.so.1,libnss_compat-2.13.so,libnss_compat.so.2,libnss_dns-2.13.so,libnss_dns.so.2,libnss_files-2.13.so,libnss_files.so.2,libnss_hesiod-2.13.so,libnss_hesiod.so.2,libnss_nis-2.13.so,libnss_nis.so.2,libnss_nisplus-2.13.so,libnss_nisplus.so.2,libpcprofile.so,libpthread-2.13.so,libpthread.so.0,libresolv-2.13.so,libresolv.so.2,librt-2.13.so,librt.so.1,libthread_db-1.0.so,libthread_db.so.1,libutil-2.13.so,libutil.so.1,memcpy-preload.so,memcpy-syslog-preload.so,
PACKAGE NAME: libdbus-1-3_1.6.8-1+deb7u1_amd64
REQUIRED:
OFFERED: libdbus-1.so.3,libdbus-1.so.3.7.2,
PACKAGE NAME: libdbus-glib-1-2_0.100.2-1_amd64
REQUIRED:
OFFERED: libdbus-glib-1.so.2,libdbus-glib-1.so.2.2.2,
PACKAGE NAME: libgcc1_4.7.2-5_amd64
REQUIRED:
OFFERED: libgcc_s.so.1,
PACKAGE NAME: libgcrypt11_1.5.0-5+deb7u1_amd64
REQUIRED:
OFFERED: libgcrypt.so.11,libgcrypt.so.11.7.0,
PACKAGE NAME: libglib2.0-0_2.33.12+really2.32.4-5_amd64
REQUIRED: libdl.so.2,libffi.so.6,libpthread.so.0,libresolv.so.2,libz.so.1,
OFFERED: libgio-2.0.so.0,libgio-2.0.so.0.3200.4,libglib-2.0.so.0,libglib-2.0.so.0.3200.4,libgmodule-2.0.so.0,libgmodule-2.0.so.0.3200.4,libgobject-2.0.so.0,libgobject-2.0.so.0.3200.4,libgthread-2.0.so.0,libgthread-2.0.so.0.3200.4,
PACKAGE NAME: libgnutls26_2.12.20-7_amd64
REQUIRED:
OFFERED: libgnutls-extra.so.26,libgnutls-extra.so.26.22.4,libgnutls.so.26,libgnutls.so.26.22.4,
PACKAGE NAME: libgsf-1-114_1.14.21-2.1_amd64
REQUIRED:
OFFERED: libgsf-1.so.114,libgsf-1.so.114.0.21,
PACKAGE NAME: libgtk-3-0_3.4.2-7_amd64
REQUIRED: libEGL.so.1,libGL.so.1,libX11-xcb.so.1,libX11.so.6,libXau.so.6,libXcomposite.so.1,libXcursor.so.1,libXdamage.so.1,libXdmcp.so.6,libXext.so.6,libXfixes.so.3,libXi.so.6,libXinerama.so.1,libXrandr.so.2,libXrender.so.1,libXxf86vm.so.1,libatk-1.0.so.0,libbz2.so.1,libcairo-gobject.so.2,libcairo.so.2,libdl.so.2,libdrm.so.2,libexpat.so.1,libffi.so.6,libfontconfig.so.1,libfreetype.so.6,libgcc_s.so.1,libgdk_pixbuf-2.0.so.0,libgio-2.0.so.0,libglapi.so.0,libglib-2.0.so.0,libgmodule-2.0.so.0,libgobject-2.0.so.0,libgthread-2.0.so.0,libharfbuzz.so.0,libicudata.so.51,libicule.so.51,libicuuc.so.51,libm.so.6,libpango-1.0.so.0,libpangocairo-1.0.so.0,libpangoft2-1.0.so.0,libpixman-1.so.0,libpng14.so.14,libpthread.so.0,libresolv.so.2,librt.so.1,libstdc++.so.6,libxcb-dri2.so.0,libxcb-glx.so.0,libxcb-render.so.0,libxcb-shape.so.0,libxcb-shm.so.0,libxcb-xfixes.so.0,libxcb.so.1,libz.so.1,
OFFERED: im-am-et.so,im-cedilla.so,im-cyrillic-translit.so,im-inuktitut.so,im-ipa.so,im-multipress.so,im-thai.so,im-ti-er.so,im-ti-et.so,im-viqr.so,im-xim.so,libgdk-3.so.0,libgdk-3.so.0.400.2,libgtk-3.so.0,libgtk-3.so.0.400.2,libprintbackend-cups.so,libprintbackend-file.so,libprintbackend-lpr.so,libprintbackend-test.so,
PACKAGE NAME: libjpeg8_8d-1_amd64
REQUIRED:
OFFERED: libjpeg.so.8,libjpeg.so.8.4.0,
PACKAGE NAME: libloudmouth1-0_1.4.3-9_amd64
REQUIRED:
OFFERED: libloudmouth-1.so.0,libloudmouth-1.so.0.1.0,
PACKAGE NAME: libots0_0.5.0-2.1_amd64
REQUIRED: libdl.so.2,libglib-2.0.so.0,liblzma.so.5,libm.so.6,libpopt.so.0,libpthread.so.0,libxml2.so.2,libz.so.1,
OFFERED: libots-1.so.0,libots-1.so.0.5.0,
PACKAGE NAME: libpng12-0_1.2.49-1_amd64
REQUIRED:
OFFERED:
PACKAGE NAME: librdf0_1.0.15-1+b1_amd64
REQUIRED:
OFFERED: librdf.so.0,librdf.so.0.0.0,
PACKAGE NAME: libreadline6_6.2+dfsg-0.1_amd64
REQUIRED:
OFFERED: libhistory.so.6,libhistory.so.6.2,libreadline.so.6,libreadline.so.6.2,
PACKAGE NAME: libsoup2.4-1_2.38.1-2_amd64
REQUIRED:
OFFERED: libsoup-2.4.so.1,libsoup-2.4.so.1.5.0,
PACKAGE NAME: libstdc++6_4.7.2-5_amd64
REQUIRED:
OFFERED: libstdc++.so.6,libstdc++.so.6.0.17,
PACKAGE NAME: libtelepathy-glib0_0.18.2-2_amd64
REQUIRED:
OFFERED: libtelepathy-glib.so.0,libtelepathy-glib.so.0.70.2,
PACKAGE NAME: libtidy-0.99-0_20091223cvs-1.2_amd64
REQUIRED:
OFFERED: libtidy-0.99.so.0,libtidy-0.99.so.0.0.0,libtidy.so,
PACKAGE NAME: libwmf0.2-7_0.2.8.4-10.3_amd64
REQUIRED:
OFFERED: io-wmf.so,libwmf-0.2.so.7,libwmf-0.2.so.7.1.0,libwmflite-0.2.so.7,libwmflite-0.2.so.7.0.1,
PACKAGE NAME: libwpd-0.9-9_0.9.4-3_amd64
REQUIRED:
OFFERED: libwpd-0.9.so.9,libwpd-0.9.so.9.0.4,libwpd-stream-0.9.so.9,libwpd-stream-0.9.so.9.0.4,
PACKAGE NAME: libwpg-0.2-2_0.2.1-1_amd64
REQUIRED:
OFFERED: libwpg-0.2.so.2,libwpg-0.2.so.2.0.1,
PACKAGE NAME: libwps-0.2-2_0.2.7-1_amd64
REQUIRED:
OFFERED: libwps-0.2.so.2,libwps-0.2.so.2.0.7,
PACKAGE NAME: libxml2_2.8.0+dfsg1-7+nmu2_amd64
REQUIRED:
OFFERED: libxml2.so.2,libxml2.so.2.8.0,
PACKAGE NAME: libxslt1.1_1.1.26-14.1_amd64
REQUIRED:
OFFERED: libexslt.so.0,libexslt.so.0.8.15,libxslt.so.1,libxslt.so.1.1.26,
PACKAGE NAME: zlib1g_1.2.7.dfsg-13_amd64
REQUIRED:
OFFERED: libz.so.1,libz.so.1.2.7,
PACKAGE NAME: libdb5.1_5.1.29-5_amd64
REQUIRED:
OFFERED: libdb-5.1.so,
PACKAGE NAME: libenchant1c2a_1.6.0-7_amd64
REQUIRED:
OFFERED: libenchant.so.1,libenchant.so.1.6.0,libenchant_aspell.so,libenchant_hspell.so,libenchant_ispell.so,libenchant_myspell.so,
PACKAGE NAME: libltdl7_2.4.2-1.1_amd64
REQUIRED:
OFFERED: libltdl.so.7,libltdl.so.7.3.0,
PACKAGE NAME: libmhash2_0.9.9.9-1.1_amd64
REQUIRED:
OFFERED: libmhash.so.2,libmhash.so.2.0.1,
PACKAGE NAME: libraptor2-0_2.0.8-2_amd64
REQUIRED:
OFFERED: libraptor2.so.0,libraptor2.so.0.0.0,
PACKAGE NAME: librasqal3_0.9.29-1_amd64
REQUIRED:
OFFERED: librasqal.so.3,librasqal.so.3.0.0,
PACKAGE NAME: libwv-1.2-4_1.2.9-3_amd64
REQUIRED:
OFFERED: libwv-1.2.so.4,libwv-1.2.so.4.0.5,
PACKAGE NAME: libcurl3-gnutls_7.26.0-1+wheezy8_amd64
REQUIRED:
OFFERED: libcurl-gnutls.so.3,libcurl-gnutls.so.4,libcurl-gnutls.so.4.2.0,
PACKAGE NAME: libpcre3_8.30-5_amd64
REQUIRED:
OFFERED: libpcre.so.3,libpcre.so.3.13.1,libpcreposix.so.3,libpcreposix.so.3.13.1,
PACKAGE NAME: libyajl2_2.0.4-2_amd64
REQUIRED:
OFFERED: libyajl.so.2,libyajl.so.2.0.4,
PACKAGE NAME: libgssapi-krb5-2_1.10.1+dfsg-5+deb7u1_amd64
REQUIRED:
OFFERED: libgssapi_krb5.so.2,libgssapi_krb5.so.2.2,
PACKAGE NAME: libldap-2.4-2_2.4.31-1+nmu2_amd64
REQUIRED:
OFFERED: liblber-2.4.so.2,liblber-2.4.so.2.8.3,libldap-2.4.so.2,libldap_r-2.4.so.2,libldap_r-2.4.so.2.8.3,
PACKAGE NAME: libp11-kit0_0.12-3_amd64
REQUIRED:
OFFERED: libp11-kit.so.0,libp11-kit.so.0.0.0,
PACKAGE NAME: libssh2-1_1.4.2-1.1_amd64
REQUIRED:
OFFERED: libssh2.so.1,libssh2.so.1.0.1,
PACKAGE NAME: libtasn1-3_2.13-2_amd64
REQUIRED:
OFFERED: libtasn1.so.3,libtasn1.so.3.1.16,
PACKAGE NAME: libk5crypto3_1.10.1+dfsg-5+deb7u1_amd64
REQUIRED: 
OFFERED: libk5crypto.so.3,libk5crypto.so.3.1,
PACKAGE NAME: libkeyutils1_1.5.5-3_amd64
REQUIRED: 
OFFERED: libkeyutils.so.1,libkeyutils.so.1.4,
PACKAGE NAME: libkrb5-3_1.10.1+dfsg-5+deb7u1_amd64
REQUIRED: 
OFFERED: libkrb5.so.3,libkrb5.so.3.3,
PACKAGE NAME: libkrb5support0_1.10.1+dfsg-5+deb7u1_amd64
REQUIRED: 
OFFERED: libkrb5support.so.0,libkrb5support.so.0.1,

B. Trying gnumeric
I am trying gnumeric with debian7.4.

It works fine. :D


Do you have any comments?
Last edited by francois on 19 May 2014, 20:20, edited 1 time in total.
Carpe diem.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#29 by neko » 19 Apr 2014, 03:56

@francois
Thank you for your problem report.

Excuse me.
Now I can not test 'spm DEB' for 64bit because I haven't a 64bit PC on April and May.

I tested 'spmDebian-14.04.12-noarch-1.xzm' for 32bit abiword and gnumeric with debian7.4.
Both applications can run.

I guess that your test were done by old version of 'spm DEB' because the dump of INFO.LST is reported.
Current version 'spmDebian-14.04.12-noarch-1.xzm' creates 'INFO.LIST-14.04.12'.
The number '14.04.12' of 'INFO.LIST-14.04.12' is same as the major version number of 'spm DEB'.

Would you test with the current version, if it meets?

Current version is enhanced about the dependency analyzing of 'ldd' command.
More dependencies might be gotten than older case.


----------------------------
[older version]
The dependency analyzing of 'ldd' command was performed on the temporary directory that was mounted xzm module.

[current version]
It is performed on the real directory that is mounted xzm module by 'aufs' function.
This is dangerous. For example, if 'debian libc6' were mounted on on the real directory, the system might be aborted.
Therefore lib modules (libXXX.xzm) are still mounted on a temporary directory.
----------------------------

Thanks.

neko
DEV Team
DEV Team
Posts: 993
Joined: 09 Feb 2013, 09:55
Distribution: APorteus-FVWM-ja-x86_64.iso
Location: japan

Re: Simple Package Manager for Debian type

Post#30 by neko » 19 May 2014, 10:20

=== Test report ====
I tested 'spmDebian-14.04.12-noarch-1.xzm' for 64bit abiword and gnumeric with debian7.5.
Both applications can run.

1. abiword
(1) search 'abiword'
(2) select 'abiword'
(3) download by 'auto'
(4) result
There were
abiword_2.9.2+svn20120603-8_amd64.xzm,
abiword-common_2.9.2+svn20120603-8_all.xzm,
lib4abiword_2.9.2+svn20120603-8_amd64.xzm,
and some XZMs in 'abiword' subdirectory .
(5) activate
abiword_2.9.2+svn20120603-8_amd64.xzm
abiword-common_2.9.2+svn20120603-8_all.xzm
lib4abiword_2.9.2+svn20120603-8_amd64.xzm

note: First time, abiword-common_2.9.2+svn20120603-8_all.xzm was not activated.
So language locale was not just fit.

2. gnumeric
(1) search 'gnumeric'
(2) select 'gnumeric'
(3) download by 'auto'
(4) result
There were
gnumeric_1.10.17-1.1_amd64.xzm,
gnumeric-common_1.10.17-1.1_all.xzm,
lib4gnumeric_1.10.17-1.1_amd64.xzm,
and some XZMs in 'gnumeric' subdirectory .
(5) activate
gnumeric_1.10.17-1.1_amd64.xzm
gnumeric-common_1.10.17-1.1_all.xzm
lib4gnumeric_1.10.17-1.1_amd64.xzm

note: First time, gnumeric-common_1.10.17-1.1_all.xzm was not activated.
So there was not a 'gnumeric' icon in menu and then 'gnumeric' was execute from terminal.
language locale was not just fit.


Thanks.

Post Reply